Bug 1994996 - Siril needs gvfs package added as a dependency
Summary: Siril needs gvfs package added as a dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: siril
Version: 34
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Mattia Verga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-18 09:24 UTC by valvixgamer.01
Modified: 2022-03-16 17:43 UTC (History)
4 users (show)

Fixed In Version: siril-1.0.0-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-12 13:41:30 UTC
Type: Bug


Attachments (Terms of Use)

Description valvixgamer.01 2021-08-18 09:24:22 UTC
Description of problem:
Siril can't connect to the internet without gvfs package installed. It's not an issue on Workstation Edition since gvfs is included in Gnome, but for example on the KDE spin it is.

Version-Release number of selected component (if applicable):
0.99.8.1

How reproducible:
Easily

Steps to Reproduce:
1. Run Siril on any non-gnome Fedora spin (e.g. KDE spin)
2. Attempt to check for updates, for example

Actual results:
Siril returns an error:
siril_check_updates_callback: loading of https://siril.org/siril_versions.json 1 failed: Operation not supported
log: Cannot fetch version file

Expected results:
Siril accesses the web and displays the result.

Additional info:
Installing the gvfs package solves the issue completely.

Comment 1 Mattia Verga 2021-08-29 15:28:46 UTC
I don't agree with that.
The integrated update check is useless, since we rely on RPMs provided by Fedora repository, and I prefer not pulling in additional dependencies only for that.

Is gvfs useful for something else in the program?

Comment 2 Fedora Update System 2022-03-12 13:39:02 UTC
FEDORA-2022-d705268758 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d705268758

Comment 3 Fedora Update System 2022-03-12 13:41:30 UTC
FEDORA-2022-d705268758 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 valvixgamer.01 2022-03-16 03:44:23 UTC
(In reply to Mattia Verga from comment #1)
> I don't agree with that.
> The integrated update check is useless, since we rely on RPMs provided by
> Fedora repository, and I prefer not pulling in additional dependencies only
> for that.
> 
> Is gvfs useful for something else in the program?

Sorry for replying so late, I only now received the email notification for some reason.
Yes, the program needs internet to fetch star catalogues in order to perform photometric color calibration, which is an important feature.
I'm honestly pretty new here, did bugzilla just automatically close the issue due to inactivity, or is it actually fixed?

Comment 5 Mattia Verga 2022-03-16 17:43:00 UTC
(In reply to valvixgamer.01 from comment #4)
> (In reply to Mattia Verga from comment #1)
> > I don't agree with that.
> > The integrated update check is useless, since we rely on RPMs provided by
> > Fedora repository, and I prefer not pulling in additional dependencies only
> > for that.
> > 
> > Is gvfs useful for something else in the program?
> 
> Sorry for replying so late, I only now received the email notification for
> some reason.
> Yes, the program needs internet to fetch star catalogues in order to perform
> photometric color calibration, which is an important feature.
> I'm honestly pretty new here, did bugzilla just automatically close the
> issue due to inactivity, or is it actually fixed?

It is fixed in siril-1.0.0-1


Note You need to log in before you can comment on or make changes to this bug.